png::pixel_traits< pixel > Struct Template Reference

Pixel traits class template. More...

`#include <pixel_traits.hpp>`

## Detailed Description

### template<typename pixel>
struct png::pixel_traits< pixel >

Pixel traits class template.

Provides information about pixel color type and components bit depth. Not implemented–see specializations.

See also
  pixel_traits<rgb_pixel>, pixel_traits<rgba_pixel>

The documentation for this struct was generated from the following file:

- pixel_traits.hpp